using EvaPosSrvDTO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace EvaPOS_API_FRAME.DTO
{
    ///<summary>
    /// DTO que obtiene los valores del XML "Reimprimir ultima venta"
    /// </summary>
    [XmlRoot(ElementName = "PrintCurrentReceiptsRequest")]
    public class PrintCurrentReceiptsRequest : DTOBase
    {
        public PrintCurrentReceiptsRequest(int idSesion, TipoMensaje tipo) : base(idSesion, tipo)
        {
        }

        public PrintCurrentReceiptsRequest() { }

        [XmlElement(ElementName = "ParameterExtension")]
        public object ParameterExtension { get; set; }

        [XmlElement(ElementName = "EnableCallback")]
        public bool EnableCallback { get; set; }

        [XmlElement(ElementName = "RequestID")]
        public int RequestID { get; set; }

        [XmlElement(ElementName = "PaperCut")]
        public bool PaperCut { get; set; }

        [XmlElement(ElementName = "Type")]
        public string Type { get; set; }
    }
}
